Aller au contenu principal
Sujet résolu
Ce sujet a été marqué résolu et ne nécessite aucune autre attention.
Sujet: Allez, Rstudio ne démarre plus ... Cf. message pour l'erreur (Lu 215 fois) sujet précédent - sujet suivant

Allez, Rstudio ne démarre plus ... Cf. message pour l'erreur

Bonsoir à tous,

Suite aux dernières "grosses" mise à jour, j'ai Rstudio (logiciel de traitement de statistique) dont bien entendu je me sers quasi quotidiennement ... Ne démarre plus....  :'(  :'(  :'(  :'(
Lorsque je tente en console voici le message d'erreur retourné :
rstudio 
rstudio: symbol lookup error: /lib64/libQt5WebEngineCore.so.5: undefined symbol: hb_subset_input_set_drop_hints
...
Apparemment c'est une librairie qui serait en cause mais lorsque je regarde dans Yast à propos de libQt5WebEngineCore (c'est fourni par le package Libqt5-qtwebengine
Je trouve pas d'alternative en terme de version...
Le mien est "livré" par le dépôt principal OSS...
J'ai testé de le changer avec Dépôt Tumbleweed et ça ne fonctionne pas non plus...  ça reste avec OSS...
(Ce sont les même numéro de version...)
De même une recherche sur le Web m'amène sur un vieux post de 2019 ... Qui ne règle pas vraiment le problème...

Quelques idées ? Pistes ?
Merci d'avance
Philippe

Re : Allez, Rstudio ne démarre plus ... Cf. message pour l'erreur

Répondre #1
Bonjour,
Je dirais que tu es touché par ceci :
https://lists.opensuse.org/archives/list/factory@lists.opensuse.org/thread/ZBYJWONSO7UHD7WW2I2C6ODPKLTCDOIC/

Par contre, ça semble fixé.
Vérifie les mises à jour ou ce sera dispo dans quelques jours

Re : Allez, Rstudio ne démarre plus ... Cf. message pour l'erreur

Répondre #2
Bonsoir @chalu

pour l'instant (400 paquet MàJ ce soir)
Le problème est toujours là...
Dommage ...

Amicalement
Philippe

Re : Allez, Rstudio ne démarre plus ... Cf. message pour l'erreur

Répondre #3
Bonjour,

Bon, ben c'est même aggravé ...
Tout à l'heure je tente d'ouvrir Digikam pour récupérer des photos dans une carte... Et ...
digikam: symbol lookup error: /lib64/libQt5WebEngineCore.so.5: undefined symbol: hb_subset_input_set_drop_hints
...
Même problème...
Je pense que toutes les applis qui utilisent cette librairie ne fonctionne plus...

C'est où déjà qu'il faut déposer une demande à propos d'unBug ?

Amicalement
Philippe

PS : Ce qui est inquiétant c'est que ça dure ... Et que je trouve pas tant que ça de pages qui en parlent sur le Net

Re : Allez, Rstudio ne démarre plus ... Cf. message pour l'erreur

Répondre #4
Pour les bugs c'est ici
https://bugzilla.opensuse.org/index.cgi

si ça touche digikam, il devrait y avoir des messages dans le forum anglais je pense
il me semble qu'il est pas mal utilisé ?

Re : Allez, Rstudio ne démarre plus ... Cf. message pour l'erreur

Répondre #5
Bonjour @chalu ,

J'ai posté sur le forum engliche et pour l'instant on m'a demandé de poster les résultats d'une commande...
https://forums.opensuse.org/showthread.php/560505-Digikam-Rstudio-and-don-t-start-after-a-huge-update-of-Tumbleweed
Je vais voir ce qu'il en ressort car il semble que ça ne touche que mon système ...
Amicalement
Philippe

Re : Allez, Rstudio ne démarre plus ... Cf. message pour l'erreur

Répondre #6
Merci d'avoir mis le lien de ton fil en anglais, on va pouvoir suivre ;)
Tu as beaucoup de dépôts dis donc !

edit as-tu un logiciel plus répandu qui ne fonctionne pas ? firefox ? chromium ? libreoffice ?

Re : Allez, Rstudio ne démarre plus ... Cf. message pour l'erreur

Répondre #7
Bonjour,

Alors j'ai essayé de répertorié et qui démarre pas, j'ai :
- Digikam comme très connu
- Rstudio
- Notepadqq

Le reste semble fonctionner correctement...

Oui, le problème des dépôts ... J'en avais parlé une ou deux fois je pense...
C'est compliqué car dès que je veux installer un programme je passe par le site officiel Opensuse, et c'est lui qui propose les dépôts (en disant qu'il va rester sur l'ordi) ... Et moi je sais pas si je dois l'enlever après ou pas...
Et comme j'ai quelques programme un peu exotique du coup j'ai ça...

Je suis persuadé que je pourrais probablement "unifier" les programmes vers les dépôts ... Mais je sais pas trop comment faire sans faire une bêtise ...
Dès que j'essaye de "bouger" une lib vers un autre dépôt j'ai des avertissements en cascade qui me disent que "machin à besoin de truc pour fonctionner" et me propose de désinstaller bidule ... Mais c'est pas ce que je veux moi désinstaller bidule ou chose...

Bref... Je suis pas encore au point...

Je vous tiendrais au courant des pérégrination sur le forum anglais ... Dès fois que ça serve à quelqu'un

Amicalement
Philippe

Re : Allez, Rstudio ne démarre plus ... Cf. message pour l'erreur

Répondre #8
SAlut.
Chez moi, Rstudio demarre sans soucis.
de quel dépot vient ta version ?
chez moi, il vient de là
URL : https://download.opensuse.org/repositories/openSUSE:/Factory/snapshot/

ce dépot à une priorité 90. Packman a une priorité 95.
Donc a priori, il va chercher dans le depot "factory" ce qu'il faut pour fonctionner.

Par ailleurs, libQt5-qtWeb.... sur mon installation est fourni par ce depot "factory"

Re : Allez, Rstudio ne démarre plus ... Cf. message pour l'erreur

Répondre #9
Coucou à tous,

Je viens juste de régler le problème grâce au Forum Anglais, ici : https://forums.opensuse.org/showthread.php/560505-Digikam-Rstudio-and-don-t-start-after-a-huge-update-of-Tumbleweed
En fait, rien a voir avec les dépôts factory et tumbleweed mais ...
C'est le dépôt Gnome:factory qui merdait (ou pas ...)
Sur les conseil d'un guru du Forum Anglische j'ai désactivé Gnome:factury, fait un zypper refresh, puis zypper dup et accepté les changements de dépôts pour plusieurs librairies...
Et ... Merveille ça a fonctionné !
Donc je passe le fil à résolu
Philippe (Content content)


Re : Allez, Rstudio ne démarre plus ... Cf. message pour l'erreur

Répondre #10
@xiloa
Salut,
Alors chez moi le Rstudio et Rstudio-desktop viennent de "Dépôt principal OSS" et c'est la version 1.4.1717 ... Un peu toujours en retard sur la dernière version... (mais honnêtement je vois pas la différence)

A propos de  libQt5-qtWebEngine pareil, c'est OSS.

Mais comme je disais dans le post juste avant il semble que chez moi, les incompatibilités venait de Gnome Factory...


Amicalement et merci pour l'aide de tous !
Philippe